﻿// Licensed to the Apache Software Foundation (ASF) under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  The ASF licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
// 
//   http://www.apache.org/licenses/LICENSE-2.0
// 
// Unless required by applicable law or agreed to in writing,
// software distributed under the License is distributed on an
// "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
// KIND, either express or implied.  See the License for the
// specific language governing permissions and limitations
// under the License.

using Org.Apache.REEF.Tang.Interface;

namespace Org.Apache.REEF.IMRU.OnREEF.Driver
{
    internal class ContextAndServiceConfiguration
    {
        /// <summary>
        /// The context configuration
        /// </summary>
        internal IConfiguration Context { get; private set; }

        /// <summary>
        /// The service configuration
        /// </summary>
        internal IConfiguration Service { get; private set; }

        /// <summary>
        /// internal constructor
        /// </summary>
        /// <param name="context">Context configuration</param>
        /// <param name="service">Service configuration</param>
        internal ContextAndServiceConfiguration(IConfiguration context, IConfiguration service)
        {
            Context = context;
            Service = service;
        }

    }
}
