/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package org.apache.reef.webserver;

import org.apache.reef.tang.annotations.Name;
import org.apache.reef.tang.annotations.NamedParameter;

/**
 * port number for the Http Server
 * Clients can set a preferred port number. However, Reef will detect if the given port number has been used
 * in the machine. If yes, it will generate another available port number.
 * @deprecated in 0.13, use TcpPortRangeStart and TcpPortProvider instead.
 */
@NamedParameter(doc = "Port number for Jetty Server", default_value = PortNumber.DEFAULT_VALUE)
@Deprecated
public final class PortNumber implements Name<Integer> {
  private PortNumber(){}
  public static final String DEFAULT_VALUE = "8080";
}
